IF OBJECT_ID('dbo.fco_pi_pens_rt2') IS NOT NULL
    DROP TABLE dbo.fco_pi_pens_rt2
GO
CREATE TABLE dbo.fco_pi_pens_rt2
-- Planilla Integrada Pensionados Registro Tipo 2: Liquidación Detallada de Aportes
(
    -- Llave primaria
    compania char(4) NOT NULL,
    anio smallint NOT NULL,
    mes tinyint NOT NULL,
    sucursal varchar(10) NOT NULL,
    trabajador char(10) NOT NULL,
    -- Variables de novedades generales
    secuencia char(7) NOT NULL,
    -- Datos del Pensionado
    pens_ape1 varchar(20) NOT NULL,
    pens_ape2 varchar(30) NOT NULL,
    pens_nom1 varchar(20) NOT NULL,
    pens_nom2 varchar(30) NOT NULL,
    pens_tdoc char(2) NOT NULL,
    pens_id varchar(16) NOT NULL,

    tipo_pension tinyint NOT NULL,
    pension_compartida char(1) NOT NULL,

    -- Datos del Causante
    caus_ape1 varchar(20) NOT NULL,
    caus_ape2 varchar(30) NOT NULL,
    caus_nom1 varchar(20) NOT NULL,
    caus_nom2 varchar(30) NOT NULL,
    caus_tdoc char(2) NOT NULL,
    caus_id varchar(16) NOT NULL,

    tipo_pensionado char(1) NOT NULL,
    residente_en_exterior char(1) NOT NULL,
    departamento char(2) NOT NULL,
    municipio char(3) NOT NULL,    
    situa_en_exterior char(1) NOT NULL,

    -- (Novedades)
    nov_ING char(1) NOT NULL,
    nov_RET char(1) NOT NULL,
    nov_TDE char(1) NOT NULL,
    nov_TAE char(1) NOT NULL,
    nov_TDP char(1) NOT NULL,
    nov_TAP char(1) NOT NULL,
    nov_VSP char(1) NOT NULL,
    nov_SUS char(1) NOT NULL,
    -- (Fin Novedades)

    cod_AFP char(10) NOT NULL,
    cod_AFP_Tras varchar(6) NOT NULL,
    cod_EPS char(10) NOT NULL,
    cod_EPS_Tras varchar(6) NOT NULL,
    cod_CCF char(10) NOT NULL,
    dias_AFP tinyint NOT NULL,
    dias_FSP tinyint NOT NULL,
    dias_EPS tinyint NOT NULL,
    dias_CCF tinyint NOT NULL,
    mesada decimal(9) NOT NULL,

    -- Sistema General de Pensiones
    tarifa_AFP decimal(6,5) NOT NULL,
    aporte_AFP decimal(9) NOT NULL,
    voluntario_AFP decimal(9) NOT NULL,
    aporte_total_AFP AS aporte_AFP + voluntario_AFP,
    valor_no_retenido decimal(9) NOT NULL,
    -- Fondo de Solidaridad Pensional
    aporte_FSP_sol decimal(9) NOT NULL,
    aporte_FSP_sub decimal(9) NOT NULL,
    tarifa_FSP decimal(6,5) NOT NULL,
    -- Sistema General de EPS
    tarifa_EPS decimal(6,5) NOT NULL,
    aporte_EPS decimal(9) NOT NULL,
    UPC_adicional decimal(9) NOT NULL,
    -- Cajas de Compensación Familiar
    tarifa_CCF decimal(6,5) NOT NULL,
    aporte_CCF decimal(9) NOT NULL,
    origen tinyint NOT NULL, -- 1 Normal, 2 Fantasma, 3 Editada manualmente
    eliminada bit NOT NULL DEFAULT 0
    CONSTRAINT pk_fco_pi_pens_rt2 PRIMARY KEY NONCLUSTERED (compania, anio, mes, sucursal, trabajador)
)
GO
GRANT ALL ON dbo.fco_pi_pens_rt2 TO PUBLIC
GO

